[arch-commits] Commit in klibc-module-init-tools/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun May 10 04:23:34 EDT 2009


    Date: Sunday, May 10, 2009 @ 04:23:34
  Author: tpowa
Revision: 38751

upgpkg: klibc-module-init-tools 3.5-2

Modified:
  klibc-module-init-tools/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 08:17:06 UTC (rev 38750)
+++ PKGBUILD	2009-05-10 08:23:34 UTC (rev 38751)
@@ -3,7 +3,7 @@
 
 pkgname=klibc-module-init-tools
 pkgver=3.5
-pkgrel=1
+pkgrel=2
 pkgdesc="Utilities for inserting and removing modules from the Linux kernel"
 arch=(i686 x86_64)
 url="http://www.kernel.org"
@@ -14,12 +14,13 @@
 md5sums=('2b47686247fc9a99bfdb9dd1d1d80e6f')
 
 build() {
-  cd $startdir/src/module-init-tools-$pkgver
+  cd $srcdir/module-init-tools-$pkgver
   CFLAGS="${CFLAGS} -DCONFIG_NO_BACKWARDS_COMPAT" CC=klcc LD=klcc ./configure --prefix=/usr/lib/klibc
   # klibc lacks getc_unlocked, so use getc instead
   sed 's|getc_unlocked|getc|g' -i *.c
   make || return 1
-  INSTALL=/bin/install make DESTDIR=$startdir/pkg install || return 1
-  rm -f $startdir/pkg/usr/lib/klibc/sbin/{generate-modprobe.conf,insmod.static}
-  rm -rf $startdir/pkg/usr/lib/klibc/{share,man}
+  INSTALL=/bin/install make DESTDIR=$pkgdir install || return 1
+  rm -f $pkgdir/usr/lib/klibc/sbin/{generate-modprobe.conf,insmod.static}
+  rm -rf $pkgdir/usr/lib/klibc/{share,man}
 }
+



More information about the arch-commits mailing list